## org.apache.solr.client.solrj.impl
Class CloudSolrServer.RouteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.solr.common.SolrException
                      org.apache.solr.client.solrj.impl.CloudSolrServer.RouteException

All Implemented Interfaces:
  Serializable

Enclosing class:
  CloudSolrServer

    public static class CloudSolrServer.RouteException

extends SolrException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.SolrException
`SolrException.ErrorCode`

Field Summary

Fields inherited from class org.apache.solr.common.SolrException
`ignorePatterns`

Constructor Summary
`CloudSolrServer.RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,LBHttpSolrServer.Req> routes)`

Method Summary
`Map<String,LBHttpSolrServer.Req>` `getRoutes()`
`NamedList<Throwable>` `getThrowables()`

Methods inherited from class org.apache.solr.common.SolrException
`code, doIgnore, getRootCause, log, log, log, log, toStr, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloudSolrServer.RouteException

    public CloudSolrServer.RouteException(SolrException.ErrorCode errorCode,
                                          NamedList<Throwable> throwables,
                                          Map<String,LBHttpSolrServer.Req> routes)

Method Detail

### getThrowables

    public NamedList<Throwable> getThrowables()

### getRoutes

    public Map<String,LBHttpSolrServer.Req> getRoutes()

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.